mainBuild:
  name: opencascade.js
  bindings:
    - symbol: STEPCAFControl_Reader
    - symbol: STEPControl_Reader
    - symbol: IFSelect_ReturnStatus
    - symbol: TCollection_ExtendedString
    - symbol: TCollection_AsciiString
    - symbol: TDocStd_Document
    - symbol: Handle_TDocStd_Document
    - symbol: Message_ProgressRange
    - symbol: XCAFDoc_DocumentTool
    - symbol: XCAFDoc_ShapeTool
    - symbol: Handle_XCAFDoc_ShapeTool
    - symbol: TDF_LabelSequence
    - symbol: TDF_Label
    - symbol: TopoDS_Shape
    - symbol: BRepTools
    - symbol: BRepMesh_IncrementalMesh
    - symbol: BRepMesh_DiscretRoot
    - symbol: RWGltf_CafWriter
    - symbol: TColStd_IndexedDataMapOfStringString
    - symbol: CDM_Document
    - symbol: Standard_Transient
    - symbol: TDataStd_GenericEmpty
    - symbol: TDF_Attribute
    - symbol: NCollection_BaseSequence
    - symbol: NCollection_BaseMap
    - symbol: BRep_Builder
  emccFlags:
    - -O3
    - -sEXPORT_ES6=1
    - -sUSE_ES6_IMPORT_META=0
    - -sEXPORTED_RUNTIME_METHODS=['FS']
    - -sINITIAL_MEMORY=100MB
    - -sMAXIMUM_MEMORY=4GB
    - -sALLOW_MEMORY_GROWTH=1
    - -sUSE_FREETYPE=1
    - -sLLD_REPORT_UNDEFINED
    - --no-entry
    - -sENVIRONMENT='web,worker'
